Bug 1301034 - Vagrant is broken on Rawhie
Vagrant is broken on Rawhie
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: vagrant (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1267024
  Show dependency treegraph
 
Reported: 2016-01-22 06:44 EST by Vít Ondruch
Modified: 2016-08-03 09:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-03 09:23:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2016-01-22 06:44:31 EST
Description of problem:
I see these errors when installing Vagrant on Rawhide:

/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:127:in `require': cannot load such file -- abrt/handler (LoadError)
	from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:127:in `rescue in require'
	from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:40:in `require'
	from /usr/share/gems/gems/abrt-0.1.1/lib/abrt.rb:6:in `block in <top (required)>'
/usr/share/gems/gems/bundler-1.10.6/lib/bundler/spec_set.rb:92:in `block in materialize': Could not find fog-core-1.29.0 in any of the sources (Bundler::GemNotFound)
	from /usr/share/gems/gems/bundler-1.10.6/lib/bundler/spec_set.rb:85:in `map!'
	from /usr/share/gems/gems/bundler-1.10.6/lib/bundler/spec_set.rb:85:in `materialize'
	from /usr/share/gems/gems/bundler-1.10.6/lib/bundler/definition.rb:140:in `specs'
	from /usr/share/gems/gems/bundler-1.10.6/lib/bundler/definition.rb:185:in `specs_for'
	from /usr/share/gems/gems/bundler-1.10.6/lib/bundler/runtime.rb:13:in `setup'
	from /usr/share/gems/gems/bundler-1.10.6/lib/bundler.rb:129:in `setup'
	from /usr/share/vagrant/bin/vagrant:76:in `rescue in <main>'
	from /usr/share/vagrant/bin/vagrant:70:in `<main>'

These are very likely coming from post install hooks and they are probably two independent issues.

1) Ruby tries to load ABRT hook, but fails for some reasons. It is very likely not specified in Gemfile, hence the Bundler can't find it although Ruby wants to load it.

2) Fog is very likely in newer version then Vagrant expects. The dependency should be fixed somewhere.


Version-Release number of selected component (if applicable):
$ rpm -q vagrant
vagrant-1.7.4-3.fc24.noarch

$ rpm -q ruby
ruby-2.3.0-53.fc24.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Vít Ondruch 2016-01-22 09:33:43 EST
Weird ... have no idea how to reproduce this :/ I just want to note, that I did not have installed vagrant before, just typed "vagrant" in my terminal and installation of vagrant was suggested and later done by PackageKit.
Comment 2 Jan Kurik 2016-02-24 09:19:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Vít Ondruch 2016-08-03 09:23:42 EDT
Cannot reproduce anymore.

Note You need to log in before you can comment on or make changes to this bug.